PHP Handbuch
Zurück |  | Weiter

# SDO_List::insert

(no version information, might be only in CVS)

SDO_List::insert -- Insert into a list

## Beschreibung

void SDO_List::insert ( mixed value [, int index] )

Warnung
Diese Funktion ist EXPERIMENTELL. Das Verhalten, der Funktionsname und alles Andere was hier dokumentiert ist, kann sich in zukünftigen PHP-Versionen ohne Ankündigung ändern. Seien Sie gewarnt und verwenden Sie diese Funktion auf eigenes Risiko.

Insert a new element at a specified position in the list. All subsequent list items are moved up.

## Parameter Liste

value

  The new value to be inserted. This can be either a primitive or an SDO_DataObject.

index

  The position at which to insert the new element. If this argument is not specified then the new value will be appended.

## Rückgabewerte

None.

## Exceptions

SDO_IndexOutOfBoundsException

  Thrown if the list index is less than zero or greater than the size of the list.

SDO_InvalidConversionException

  Thrown if the type of the new value does not match the type for the list (e.g. the type of the many-valued property that the list represents).

Zurück | Zum Anfang | Weiter
SDO_DataObject::getType | Nach oben | SDO_Model_Property::getContainingType